package clp.web;

import java.io.PrintWriter;
import java.io.IOException;

import java.util.List;

import javax.naming.NamingException;
import javax.naming.InitialContext;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;


import clp.ejb.session.*;
import jarmodule.*;


public class Controller extends HttpServlet
{
  private static final long serialVersionUID = 1;


  public void doGet(HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException
  {
    try
    {
      InitialContext context = new InitialContext();
      DemoSession demoSession = (DemoSession) context.lookup("java:app/clp.jar/DemoSessionBean");
      // JBoss AS5 name
      // DemoSession demoSession = (DemoSession) context.lookup("clp/DemoSessionBean/remote");
      demoSession.sayBlah();
      Base base = (Base) context.lookup("java:app/clp.jar/ExtendedBean");
      base.bleh();
      response.setContentType("text/plain");
      PrintWriter out = response.getWriter();
      out.println("blah and bleh said");
    }
    catch (NamingException e)
    {
      throw new ServletException("JNDI problem", e);
    }
  }


  public void doPost(HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException
  {
    this.doGet(request, response);
  }
}
