export CLASSPATH=/home/jtk/hacking/java/jboss/jboss-current/common/lib/\*

do_javac ()
{
  if javac $* ; then
    true
  else
    echo '*** compilation failed ***'
    exit 1
  fi
}


rm -rf build
mkdir build/

do_javac -classpath ".:${CLASSPATH}" jarmodule/*.java
jar cvfm build/jarmodule.jar manifest_jarmodule.txt jarmodule

mkdir build/ejbjar
mkdir build/ejbjar/META-INF
do_javac -classpath ".:${CLASSPATH}" -d build/ejbjar clp/ejb/session/*.java
cp persistence.xml build/ejbjar/META-INF
# if the jarmodule stuff is in the ejbjar, everything is fine
# cp -r jarmodule build/ejbjar
cd build/ejbjar
jar cvfm ../clp.jar ../../manifest_ejbjar.txt *
cd ../..

mkdir build/war
mkdir build/war/WEB-INF
mkdir build/war/WEB-INF/classes
do_javac -classpath "./build/ejbjar:.:${CLASSPATH}" -d build/war/WEB-INF/classes clp/web/*.java
cp web.xml build/war/WEB-INF
cp -r jsps build/war
cd build/war
jar cvfm ../clp.war ../../manifest_war.txt *
cd ../..

cd build
mkdir ear
mkdir ear/META-INF
# mkdir ear/lib
cp clp.war clp.jar ear
cp jarmodule.jar ear
cp ../application.xml ear/META-INF
cd ear
jar cvf ../clp.ear *
cd ../..

